org.apache.tomcat.util.buf

## Interface CharChunk.CharInputChannel

- All Known Implementing Classes:
    InputBuffer
  Enclosing class:
    CharChunk

      public static interface CharChunk.CharInputChannel

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `realReadChars(char[] cbuf, int off, int len)` Read new bytes ( usually the internal conversion buffer ).

- - ### Method Detail

    - #### realReadChars

          int realReadChars(char[] cbuf,
                          int off,
                          int len)
                            throws IOException

      Read new bytes ( usually the internal conversion buffer ). The implementation is allowed to ignore the parameters, and mutate the chunk if it wishes to implement its own buffering.
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.